package com.teamscale.commons.docs;

/**
 * Provides links to the official Teamscale documentation.
 */
public class TeamscaleDocsReference {
	private static final String SERVER_DOC_BASE_URL = "documentation/";

	/** Link to the external findings descriptions documentation. */
	public static final String EXTERNAL_FINDINGS_DESCRIPTIONS = "reference/ui/project/external-findings-descriptions";

	/** Link to the external metrics descriptions documentation. */
	public static final String EXTERNAL_METRIC_DESCRIPTION = "reference/ui/project/external-metric-descriptions/";

	/**
	 * Returns the Concatenation of the base URL of the official Teamscale
	 * documentation and an input. It is recommended to use the according class
	 * variables as input.
	 */
	public static String getDocsUrl(String topic) {
		return SERVER_DOC_BASE_URL + topic;
	}
}
