/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.commons.service.client;

import org.apache.http.client.HttpClient;

/**
 * Interface to enable testing service calls with provided responses. For an
 * example see IdeServiceClientTest.
 */
@FunctionalInterface
public interface ServiceClientCallable<T> {

	/** Overridden by implementors, actually starts the service call */
	T call(HttpClient client) throws ServiceCallException;
}
