package com.teamscale.ide.client.adt;

import java.util.Optional;

import org.eclipse.core.resources.IProject;

/**
 * Maps a ADT URI to a Teamscale URI.
 */
interface IAdtUriMapper {

	/**
	 * Tries to map the given URI of the given project to the matching Teamscale URI.
	 * 
	 * @param uri ADT URI
	 * @param project Eclipse project
	 * @return Teamscale URI if it was possible to map it
	 */
	Optional<String> map(String uri, IProject project);
}
