/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.teamscale.ide.commons.client;

import com.teamscale.ide.commons.client.exceptions.ApiExceptionBase;
import com.teamscale.ide.commons.client.exceptions.NetworkExceptionBase;

/**
 * A function that may throw some exception based on
 * {@link NetworkExceptionBase} or {@link ApiExceptionBase}.
 */
@FunctionalInterface
public interface IServiceCallFunction<T, R, E extends ApiExceptionBase> {

	/** Called when the function is executed */
	R apply(T t) throws NetworkExceptionBase, E;
}
