package com.teamscale.ide.commons.client;

import java.net.URI;

import com.google.common.collect.ImmutableList;
import com.teamscale.ide.commons.client.exceptions.NetworkExceptionBase;
import com.teamscale.ide.commons.servers.AuthenticationInfo;

/** A function that creates a {@link IIdeServiceClient}. */
@FunctionalInterface
public interface IServiceClientCreator {

	/**
	 * Creates an {@link IIdeServiceClient} for the given {@link URI} and
	 * {@link AuthenticationInfo}.
	 */
	IIdeServiceClient create(String serverUri, AuthenticationInfo authenticationInfo, ImmutableList<String> userAgents)
			throws NetworkExceptionBase;
}
