package com.teamscale.ide.commons.client.exceptions;

/**
 * Exception used if a service calls fails because the branch is not found on
 * the Teamscale server.
 */
public class BranchNotFoundException extends ApiExceptionBase {

	private static final long serialVersionUID = 1L;

	/**
	 * Name of the nonexistent branch.
	 */
	private final String branch;

	public BranchNotFoundException(String branch) {
		super(branch);
		this.branch = branch;
	}

	public String getBranch() {
		return branch;
	}
}
