package com.teamscale.ide.commons.client.exceptions;

import java.net.URI;

import com.teamscale.ide.commons.servers.ETeamscaleServerState;

/**
 * Exception used to indicate that the license of the Teamscale server has
 * expired.
 */
public class LicenseExpiredException extends NetworkExceptionBase {

	/** The URL of the server with the invalid license */
	private final URI serverUrl;

	public LicenseExpiredException(URI serverUrl, String message) {
		super(message, ETeamscaleServerState.LICENSE_INVALID);
		this.serverUrl = serverUrl;
	}

	public URI getServerUrl() {
		return serverUrl;
	}
}
