package com.teamscale.ide.commons.client.exceptions;

import static java.util.Objects.requireNonNull;

/**
 * Exception used if a service calls fails because the project is not found on
 * the Teamscale server.
 */
public class ProjectNotFoundException extends ResourceNotFoundException {

	private static final long serialVersionUID = 1L;

	/**
	 * Name of the nonexistent Teamscale project.
	 */
	private final String projectId;

	public ProjectNotFoundException(String projectId) {
		super(projectId);
		this.projectId = requireNonNull(projectId);
	}

	public String getProjectId() {
		return projectId;
	}
}
