package com.teamscale.ide.commons.client.exceptions;

import static java.util.Objects.requireNonNull;

/**
 * Exception thrown if a service calls fails because no SAP system was found
 * with given ID.
 */
public class SAPSystemNotFoundException extends ApiExceptionBase {

	private static final long serialVersionUID = 1L;

	/**
	 * ID of the nonexistent SAP system.
	 */
	private final String sapSystemId;

	public SAPSystemNotFoundException(String sapSystemId) {
		super(sapSystemId);
		this.sapSystemId = requireNonNull(sapSystemId);
	}

	public String getSapSystemId() {
		return sapSystemId;
	}
}
