package com.teamscale.ide.commons.client.impl.v67;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.teamscale.ide.commons.lang.ToStringHelpers;

/**
 * DTO for {@link org.conqat.engine.index.shared.ProjectInfo} as returned by
 * version 6.7 of the Teamscale API.
 */
/* package */ class ProjectInfo67Dto {

	/** The name of the JSON property name for {@link #name}. */
	private static final String NAME_PROPERTY = "name";

	/** The name of the JSON property name for {@link #id}. */
	private static final String PUBLIC_ID_PROPERTY = "id";

	/** The project name. */
	@JsonProperty(NAME_PROPERTY)
	public final String name;

	/**
	 * The public ID of this project.
	 */
	@JsonProperty(PUBLIC_ID_PROPERTY)
	public final String id;

	@JsonCreator
	public ProjectInfo67Dto(@JsonProperty(NAME_PROPERTY) String name, @JsonProperty(PUBLIC_ID_PROPERTY) String id) {
		this.name = name;
		this.id = id;
	}

	@Override
	public String toString() {
		return ToStringHelpers.toReflectiveStringHelper(this).toString();
	}
}
