package com.teamscale.ide.commons.findings;

import com.teamscale.ide.commons.model.RemoteResourceReference;

/**
 * The minimal information required to identify and connect to a finding (the
 * finding id and the {@link RemoteResourceReference} where it exists).
 */
public interface IIdeIdentifiableFinding {

	/**
	 * Returns the ID of the finding.
	 */
	String getId();

	/**
	 * Returns a reference to the file on a Teamscale server containing this finding
	 * (in particular the server URL, the project, and the branch).
	 */
	RemoteResourceReference getRemoteResource();
}
