package com.teamscale.ide.commons.findings.services;

import java.net.URI;
import java.util.EventListener;

import com.teamscale.ide.commons.findings.Finding;
import com.teamscale.ide.commons.findings.IdeCheckDescription;

/**
 * Listens and updates views that display check descriptions.
 */
public interface ICheckDescriptionListener extends EventListener {

	/**
	 * Defines the behavior of the view as soon as new check description is
	 * broadcast.
	 *
	 * @param serverUri
	 *            the URL of the server the description was fetched from
	 * @param finding
	 *            the {@link Finding} for which the description is broadcast
	 * @param description
	 *            the check description that is broadcast.
	 */
	void onCheckDescriptionLoaded(URI serverUri, Finding finding, IdeCheckDescription description);
}
