package com.teamscale.ide.commons.findings.tasks.fetcher;

import com.teamscale.ide.commons.findings.services.IFetchFindingsTaskCache;

/**
 * This enum defines how {@link IFindingsFetcher finding fetcher} interact with
 * the {@link IFetchFindingsTaskCache cache}.
 */
public enum ECacheBehaviour {
	IGNORE(false, false), ONLY_WRITE(false, true), READ_AND_WRITE(true, true);

	private final boolean read;
	private final boolean write;

	ECacheBehaviour(boolean read, boolean write) {
		this.read = read;
		this.write = write;
	}

	/**
	 * Returns whether a fetcher should read from the cache.
	 */
	public boolean shouldRead() {
		return read;
	}

	/**
	 * Returns whether a fetcher should write back to the cache.
	 */
	public boolean shouldWrite() {
		return write;
	}
}
