package com.teamscale.ide.commons.findings.tasks.fetcher;

import com.teamscale.ide.commons.findings.Finding;
import com.teamscale.ide.commons.findings.services.IFindingFetchStateService;
import com.teamscale.ide.commons.model.ResourceReference;

/**
 * Fetches {@linkplain Finding findings}. The resulting findings should always
 * be published by the {@link IFindingFetchStateService}.
 */
public interface IFindingsFetcher {

	/**
	 * Fetches {@linkplain Finding findings} for the given
	 * {@link ResourceReference}s.
	 *
	 * @throws IllegalArgumentException
	 *             when no resources to fetch {@linkplain Finding findings} are
	 *             given
	 * @throws InterruptedException
	 *             when fetching {@linkplain Finding findings} is canceled by the
	 *             user
	 */
	void fetchFindings() throws IllegalArgumentException, InterruptedException;
}
