package com.teamscale.ide.commons.mappings;

import java.net.URI;

import org.checkerframework.checker.nullness.qual.Nullable;
import org.conqat.lib.commons.uniformpath.RelativeUniformPath;

import com.teamscale.ide.commons.model.ResourceReference;

/**
 * Interface to allow replacement of eclipse specific code while testing.
 */
public interface ILegacyResourceMapping {

	/**
	 * Returns the Teamscale Server or null.
	 */
	@Nullable String getTeamscaleServer();

	/**
	 * Returns the Teamscale Project or null.
	 */
	@Nullable String getTeamscaleProject();
	
	/** Returns whether the Teamscale integration is enabled for the IDE project. */
	boolean isTeamscaleEnabled();


	/**
	 * Maps the given ResourceReference.
	 */
	ResourceMappingResult map(URI serverUrl, ResourceReference projectRoot, RelativeUniformPath projectRelativePath);
}
