package com.teamscale.ide.commons.mappings.services;

import java.util.Set;

import com.teamscale.ide.commons.mappings.ResourceMappingResult;
import com.teamscale.ide.commons.model.ResourceReference;
import com.teamscale.ide.commons.plugin.IPluginService;

/**
 * Service that maps local resources to equivalent resources on a Teamscale
 * server.
 */
public interface IResourceMappingService extends IPluginService {

	/**
	 * Attempt to determine a mapping resource for a local resource so that it and
	 * other resources below the mapping root can be mapped to remote sources on a
	 * Teamscale server.
	 */
	ResourceMappingResult map(ResourceReference resource);

	/**
	 * Given a resource, find all potential mapping roots located at or below the
	 * resource.
	 */
	Set<ResourceReference> findPotentialMappingRoots(ResourceReference resource);
}
