/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.commons.model;

/**
 * An IDE specific project which has its own settings where Teamscale mappings
 * can be configured. It wraps the corresponding IDE specific project object.
 */
public interface IIDEProject {

	/**
	 * Returns the root directory of this project as a {@link ResourceReference}.
	 */
	ResourceReference getRootDirectory();

	/**
	 * @return An IDE specific project abstraction that has been wrapped inside the
	 *         implementation.
	 */
	Object getProject();
}
