package com.teamscale.ide.commons.model;

import com.teamscale.ide.commons.lang.ToStringHelpers;

/**
 * Basic data container that contains a project and prefix mapping
 */
public class ProjectMapping {

	/** The full path of the file that was used for the mapping */
	public final String fullFilePath;

	/** The project id of the project that the mapping is valid for */
	public final String projectId;

	/** The local path of the mapping. */
	public final String from;

	/** The server path of the mapping. */
	public final String to;

	/** Constructor. */
	public ProjectMapping(String fullFilePath, String project, String from, String to) {
		this.fullFilePath = fullFilePath;
		this.projectId = project;
		this.from = from;
		this.to = to;
	}

	@Override
	public String toString() {
		return ToStringHelpers.toReflectiveStringHelper(this).toString();
	}
}
