package com.teamscale.ide.commons.notification.impl;

import com.teamscale.ide.commons.notification.INotification;

/**
 * Notifies that the waiting for the SAP-Teamscale-Sync ran into a timeout.
 */
public class SapTeamscaleSyncTimeoutNotification implements INotification<SapTeamscaleSyncTimeoutNotification> {

	private final String sapSystemId;

	public SapTeamscaleSyncTimeoutNotification(String sapSystemId) {
		this.sapSystemId = sapSystemId;
	}

	@Override
	public boolean isSubsumedBy(SapTeamscaleSyncTimeoutNotification that) {
		return false;
	}

	@Override
	public void accept(INotificationVisitor visitor) {
		visitor.reportSapTeamscaleSyncTimeout(this);
	}

	public String getSapSystemId() {
		return sapSystemId;
	}
}
