/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.commons.notification.impl.legacy;

import com.teamscale.ide.commons.lang.ToStringHelpers;
import com.teamscale.ide.commons.notification.INotification;
import com.teamscale.ide.commons.notification.impl.INotificationVisitor;

/**
 * @see com.teamscale.ide.commons.mappings.MappingProblem.EType#NO_SERVERS_CONFIGURED
 */
@Deprecated
public final class NoServersConfiguredNotification implements INotification<NoServersConfiguredNotification> {

	@Override
	public boolean isSubsumedBy(NoServersConfiguredNotification that) {
		return true;
	}

	@Override
	public void accept(INotificationVisitor visitor) {
		visitor.reportNoServerConfigured(this);
	}

	@Override
	public String toString() {
		return ToStringHelpers.toReflectiveStringHelper(this).toString();
	}
}
