/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.commons.notification.impl.legacy;

import static java.util.Objects.requireNonNull;

import java.util.Objects;

import com.teamscale.ide.commons.lang.ToStringHelpers;
import com.teamscale.ide.commons.model.ResourceReference;
import com.teamscale.ide.commons.notification.INotification;
import com.teamscale.ide.commons.notification.impl.INotificationVisitor;

/**
 * @see com.teamscale.ide.commons.mappings.MappingProblem.EType#NO_TEAMSCALE_SERVER
 */
@Deprecated
public final class NoTeamscaleServerNotification implements INotification<NoTeamscaleServerNotification> {

	private final ResourceReference mappingRoot;

	public NoTeamscaleServerNotification(ResourceReference mappingRoot) {
		this.mappingRoot = requireNonNull(mappingRoot);
	}

	@Override
	public boolean isSubsumedBy(NoTeamscaleServerNotification that) {
		return Objects.equals(mappingRoot, that.getMappingRoot());
	}

	@Override
	public void accept(INotificationVisitor visitor) {
		visitor.reportNoTeamscaleServer(this);
	}

	public ResourceReference getMappingRoot() {
		return mappingRoot;
	}

	@Override
	public String toString() {
		return ToStringHelpers.toReflectiveStringHelper(this).toString();
	}
}
