package com.teamscale.ide.commons.notification.services.impl;

import com.teamscale.ide.commons.notification.impl.INotificationVisitor;
import com.teamscale.ide.commons.notification.impl.legacy.ILegacyNotificationVisitor;
import com.teamscale.ide.commons.notification.impl.legacy.MappingRootNotConfiguredNotification;
import com.teamscale.ide.commons.notification.impl.legacy.NoServersConfiguredNotification;
import com.teamscale.ide.commons.notification.impl.legacy.NoTeamscaleProjectNotification;
import com.teamscale.ide.commons.notification.impl.legacy.NoTeamscaleServerNotification;

/**
 * A "mix-in" for the {@link INotificationVisitor} that implements all methods
 * made obsolete by .teamscale.toml support by throwing an
 * {@link IllegalStateException}.
 */
public interface ITomlNotificationVisitorMixin extends ILegacyNotificationVisitor {

	@Override
	default void reportNoServerConfigured(NoServersConfiguredNotification notification) {
		throw new IllegalStateException("Obsoleted by .teamscale.toml support");
	}

	@Override
	default void reportMappingRootNotConfigured(MappingRootNotConfiguredNotification notification) {
		throw new IllegalStateException("Obsoleted by .teamscale.toml support");
	}

	@Override
	default void reportNoTeamscaleServer(NoTeamscaleServerNotification notification) {
		throw new IllegalStateException("Obsoleted by .teamscale.toml support");
	}

	@Override
	default void reportNoTeamscaleProject(NoTeamscaleProjectNotification notification) {
		throw new IllegalStateException("Obsoleted by .teamscale.toml support");
	}
}
