/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.commons.plugin.services;

/**
 * Interface for Task callbacks.
 *
 * @deprecated Use a {@linkplain com.teamscale.ide.commons.plugin.IPluginService
 *             plug-in service} together with appropriate listeners to react to
 *             a task's completion.
 */
@Deprecated
public interface ITaskCallback<T> extends ITaskErrorCallback {

	/**
	 * Method which is called, when the task finishes successfully.
	 * 
	 * @param value
	 *            The value which is returned.
	 */
	void success(T value);

	@Override
	default void error(Throwable exception) {
		// Do nothing by default
	}
}
