/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.commons.plugin.tasks;

/**
 * An exception used to indicate to the user that some input values were faulty.
 * The exception's message provides details meant for end-user consumption.
 */
public class FaultyValuesException extends Exception {

	private static final long serialVersionUID = 1L;

	public FaultyValuesException(String message) {
		super(message);
	}

	public FaultyValuesException(String message, Throwable cause) {
		super(message, cause);
	}
}
