package com.teamscale.ide.commons.servers.services;

import java.net.URI;
import java.util.Optional;

import com.teamscale.ide.commons.plugin.IPluginService;
import com.teamscale.ide.commons.servers.NamedServerDetails;

/**
 * Manages the credentials of the Teamscale servers configured in the IDE.
 *
 * The plan is to turn this into a narrower replacement of the old
 * {@link ITeamscaleServerManager} to ease migration towards a state where the
 * IDEs keep server credentials "by server URL" and not "by server name"
 * anymore.
 */
public interface IServerCredentialsManager extends IPluginService {

	/**
	 * @param serverUrl
	 *            URL of server.
	 * @return The credentials of a configured server with the given URL, if it
	 *         exists.
	 */
	Optional<NamedServerDetails> getServer(URI serverUrl);
}
