/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.commons.servers.services;

import java.util.EventListener;

import com.teamscale.ide.commons.servers.ETeamscaleServerState;
import com.teamscale.ide.commons.servers.NamedServerDetails;

/**
 * Listens for change of the server state.
 */
@FunctionalInterface
public interface IServerStateChangeListener extends EventListener {

	/**
	 * Called, when the state changes. Should start a new thread for handling the
	 * update.
	 * 
	 * @param serverDetails
	 *            The server for which an update was triggered
	 * @param state
	 *            The new state
	 */
	void stateChanged(NamedServerDetails serverDetails, ETeamscaleServerState state);
}
