package com.teamscale.ide.commons.servers.services.impl;

import java.net.URI;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.Optional;

import com.teamscale.ide.commons.servers.AuthenticationInfo;
import com.teamscale.ide.commons.servers.services.ITeamscaleServerManager;

/**
 * A trivial {@link ITeamscaleServerManager} that keeps the server credentials
 * in memory only.
 */
public class InMemoryTeamscaleServerManager implements ITeamscaleServerManager {

	private final Map<URI, AuthenticationInfo> servers = new HashMap<>();

	@Override
	public Collection<URI> getAllServerUrls() {
		return servers.keySet();
	}

	@Override
	public Optional<AuthenticationInfo> getAuthenticationInfo(URI url) {
		return Optional.ofNullable(servers.get(url));
	}

	@Override
	public boolean storeCredentials(URI url, AuthenticationInfo authenticationInfo) {
		servers.put(url, authenticationInfo);
		return true;
	}

	@Override
	public boolean removeServer(URI url) {
		servers.remove(url);
		return true;
	}
}
