package com.teamscale.ide.commons.util;

/**
 * Functional interface which represent a {@link java.util.function.Consumer}
 * that may throw a checked exception.
 */
@FunctionalInterface
public interface ICheckedConsumer<T, E extends Exception> {

	/**
	 * Performs the operation on the given argument {@link T} which may throw an
	 * {@link E exception}
	 */
	void accept(T t) throws E;
}
