package com.teamscale.ide.commons.util;

/**
 * Functional interface which represent a {@link java.util.function.Supplier}
 * that may throw a checked exception.
 */
@FunctionalInterface
public interface ICheckedSupplier<T, E extends Exception> {

	/**
	 * Get the {@link T result} during which an {@link E exception} may be thrown.
	 */
	T get() throws E;
}
