/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright (c) 2009-2020 CQSE GmbH                                        |
|                                                                          |
+-------------------------------------------------------------------------*/
package com.teamscale.ide.commons.util;

import java.util.EventListener;

/**
 * Interface for classes with registered {@link EventListener}s.
 */
public interface IEventListenable<T extends EventListener> {

	/**
	 * Adds a listener.
	 * 
	 * To prevent memory leaks, a listener must be
	 * {@link #removeListener(EventListener) removed}, when it is not used anymore.
	 */
	void addListener(T listener);

	/** Removes a listener. */
	void removeListener(T listener);
}
