/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.findings.view;

import org.eclipse.ui.views.markers.MarkerField;
import org.eclipse.ui.views.markers.MarkerItem;

import com.teamscale.ide.findings.FindingsMarkerUtils;

/**
 * This {@link MarkerField} maps the marker attribute for finding categories to
 * a column in the FindingsMarkerView.
 */
public class CategoryField extends MarkerField {

	/** {@inheritDoc} */
	@Override
	public String getValue(MarkerItem item) {
		return item.getMarker().getAttribute(FindingsMarkerUtils.CATEGORY_KEY, "");
	}

}
