/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.teamscale.ide.findings.view;

/**
 * Configuration area for the list of finding origins.
 */
public class OriginFilterConfiguration extends FieldFilterConfigurationBase {

	/** The key name used to save the list in the preference store. */
	private static final String PREFERENCE_NAME = "ORIGIN_EXCLUDE_LIST";

	/** Constructor. */
	public OriginFilterConfiguration() {
		super("Exclude Finding Origin", "Enter the name of a finding origin", PREFERENCE_NAME,
				"Don't display the following finding origins:");
	}
}
