package com.teamscale.index.metadata;

import java.io.Serializable;

import org.conqat.lib.commons.collections.PairList;
import org.conqat.lib.commons.test.IndexValueClass;

/**
 * A unifying interface representing metadata for files of various languages.
 */
@IndexValueClass
public interface IFileMetadata extends Serializable {

	/**
	 * Returns all metric which are defined by the given metadata.
	 * <p>
	 * The first value is the metric name and the second value is the metric value.
	 * <p>
	 * All metrics which are returned here should be registered in
	 * {@literal FileMetadataConfiguration}.
	 * <p>
	 * <strong>Important</strong>: All partitions should always be returned, even if
	 * they have an empty value.
	 */
	PairList<String, Serializable> getMetrics();
}
