package org.conqat.engine.commons.findings.location;

import org.conqat.lib.commons.test.IndexValueClass;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonTypeInfo;

/**
 * Describes a finding location in an issue or spec item or similar. For field
 * specific locations, see {@link TeamscaleIssueFieldLocation}
 */
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, property = "type", defaultImpl = TeamscaleIssueLocation.class)
@IndexValueClass
public class TeamscaleIssueLocation extends ElementLocation implements ITeamscaleIssueFindingLocation {

	private static final long serialVersionUID = 1L;

	/** Id of the issue. */
	@JsonProperty("issueId")
	private final String issueId;

	public TeamscaleIssueLocation(TeamscaleIssueLocation location) {
		super(location.getUniformPath());
		issueId = location.issueId;
	}

	public TeamscaleIssueLocation(String uniformPath, String issueId) {
		super(uniformPath);
		this.issueId = issueId;
	}

	@Override
	public String getIssueId() {
		return issueId;
	}
}
