/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.engine.commons.util;

import org.conqat.engine.core.core.ConQATException;

import com.fasterxml.jackson.core.JsonProcessingException;

/**
 * Wrapper exception for {@link JsonProcessingException} as the other is a
 * checked exception and we don't want to check it everywhere.
 */
public class JsonSerializationException extends ConQATException {
	/** Version used for serialization. */
	private static final long serialVersionUID = 1;

	public JsonSerializationException(String message, Throwable cause) {
		super(message, cause);
	}

	public JsonSerializationException(String message) {
		super(message);
	}
}
