package org.conqat.engine.commons.util;

/**
 * Collection of marker classes that represent views on the serialized JSON.
 *
 * @see com.fasterxml.jackson.annotation.JsonView
 */
public class SerializationViews {

	/**
	 * Default JSONView, needed to prevent attributes with other views be
	 * serialized.
	 */
	public static class DefaultView {
		/**
		 * Private constructor to prevent instantiation.
		 **/
		private DefaultView() {
		}
	}

	/** JSONView for instance comparison **/
	public static final class InstanceComparisonView extends DefaultView {
		/**
		 * Private constructor to prevent instantiation.
		 **/
		private InstanceComparisonView() {
		}
	}
}
