/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.engine.index.shared;

/**
 * Information about version control systems to be shared with IDE clients and
 * service.
 */
public enum EVersionControlSystemType {

	GIT("Git"), SVN("Subversion"), NONE("No version control system");

	private final String label;

	private EVersionControlSystemType(String label) {
		this.label = label;
	}

	public String getLabel() {
		return label;
	}
}
