/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.engine.index.shared;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Holds how many findings exist for a given rule in a guideline (e.g. AUTOSAR
 * C++14).
 */
public class FindingsSummaryGuidelineRuleInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	private static final String RULE_NAME_PROPERTY = "ruleName";

	@JsonProperty(RULE_NAME_PROPERTY)
	private final String ruleName;

	@JsonCreator
	public FindingsSummaryGuidelineRuleInfo(@JsonProperty(RULE_NAME_PROPERTY) String ruleName) {
		this.ruleName = ruleName;
	}

}
