package org.conqat.engine.index.shared;

import org.checkerframework.checker.nullness.qual.Nullable;
import org.conqat.lib.commons.test.IndexValueClass;

import com.fasterxml.jackson.annotation.JsonCreator;

/** Unambiguous ID for Teamscale projects. */
@IndexValueClass(containedInBackup = true)
public interface IProjectId extends Comparable<IProjectId> {

	/**
	 * Returns true when this is an {@link InternalProjectId}. Returns false when
	 * this is a {@link PublicProjectId}.
	 */
	boolean isInternal();

	/**
	 * Deserializes a project ID either to an {@link InternalProjectId} or a
	 * {@link PublicProjectId}. Empty or null values are deserialized to
	 * <code>null</code>.
	 */
	@JsonCreator
	static @Nullable IProjectId getInstance(String projectId) {
		return ProjectIdBase.convert(projectId);
	}
}
