/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.engine.index.shared;

/**
 * Signals an error during work with a version control repository. Usually this
 * exception does not denote a user input problem.
 */
public class RepositoryException extends Exception {

	/** Serial version ID */
	private static final long serialVersionUID = 1L;

	/** Constructor */
	public RepositoryException(Throwable cause) {
		super(cause);
	}

	/** Constructor */
	public RepositoryException(String message) {
		super(message);
	}

	/** Constructor */
	public RepositoryException(String message, Throwable cause) {
		super(message, cause);
	}
}
