/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.engine.index.shared.element_details;

import org.conqat.lib.commons.test.IndexValueClass;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Base class for additional details for token elements (see subclasses for
 * examples).
 */

@IndexValueClass(containedInBackup = true)
public abstract class TokenElementDetailBase implements Serializable {

	/**
	 * generated
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * This field is necessary to access the class name in javascript.
	 */
	@JsonProperty("detailType")
	private final String detailType;

	/**
	 * Constructor that sets the className field based on the current instance.
	 */
	protected TokenElementDetailBase() {
		detailType = this.getClass().getSimpleName();
	}
}
