package org.conqat.engine.sourcecode.coverage.dotnet;

import org.conqat.lib.commons.enums.EnumValueMap;

/**
 * XML Elements for processing XML coverage files.
 */
public enum ECoverageXmlElement {
	/** The XML element {@value} . */
	Module,

	/** The XML element {@value} . */
	ModuleName,

	/** The XML element {@value} . */
	LinesCovered,

	/** The XML element {@value} . */
	LinesPartiallyCovered,

	/** The XML element {@value} . */
	LinesNotCovered,

	/** The XML element {@value} . */
	BlocksCovered,

	/** The XML element {@value} . */
	BlocksNotCovered,

	/** The XML element {@value} . Every Module has one NamespaceTable. */
	NamespaceTable,

	/** The XML element {@value} . */
	NamespaceName,

	/** The XML element {@value} . */
	NamespaceKeyName,

	/** The XML element {@value} . */
	Class,

	/** The XML element {@value} . */
	ClassName,

	/** The XML element {@value} . */
	Method,

	/** The XML element {@value} . */
	MethodName,

	/** The XML element {@value} . */
	SourceFileNames,

	/** The XML element {@value} . */
	SourceFileName,

	/** The XML element {@value} . */
	Lines,

	/** The XML element {@value} . */
	Coverage,

	/** The XML element {@value} . */
	SourceFileID,

	/** The XML element {@value} . */
	LnEnd,

	/** The XML element {@value} . */
	LnStart;

	/** Value cache of the enum constants. */
	public static final EnumValueMap<ECoverageXmlElement> VALUES = new EnumValueMap<>(ECoverageXmlElement.class);

}