package org.conqat.engine.sourcecode.coverage.testwise_coverage;

import org.checkerframework.checker.nullness.qual.Nullable;
import org.conqat.lib.commons.string.StringUtils;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Represents a single parameter of a test execution as a parameter name and
 * value pair.
 */
public class TestParameter {

	@JsonProperty("value")
	private String value;

	@JsonProperty("name")
	private String name;

	@JsonCreator
	public TestParameter(@JsonProperty("value") String value, @JsonProperty("name") @Nullable String name) {
		this.value = value;
		this.name = name;
	}

	@Override
	public String toString() {
		if (StringUtils.isEmpty(name)) {
			return value;
		}
		return name + "=" + value;
	}
}
