/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 the ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.dialog;

import org.eclipse.swt.widgets.Control;

/**
 * Interface used for validating fields (i.e. controls that have a value) in
 * {@link FormInputDialog}
 * 
 * @author bader svejda
 */
public interface IFieldValidator<T extends Control> {

	/**
	 * Validate the value of a given control.
	 * 
	 * @param target
	 *            The control that should be validated.
	 * @return Null if the control has a valid value, an error message
	 *         otherwise.
	 */
	String validate(T target);
}
