package org.conqat.lib.commons.collections;

import java.util.IdentityHashMap;
import java.util.Map;
import java.util.Set;

/**
 * Variant of the {@link SetMap} that compares keys by reference instead of
 * equality.
 */
public class IdentitySetMap<K, V> extends SetMap<K, V> {

	private static final long serialVersionUID = 1L;

	@Override
	protected Map<K, Set<V>> createUnderlyingMap() {
		return new IdentityHashMap<>();
	}
}