/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.lib.commons.equals;

/**
 * Compares two elements for equality.
 * <p>
 * This interface externalizes the notion of equality. This way, different
 * notions of equality can be applied to the same object in different contexts.
 * 
 * @author Elmar Juergens
 */
@FunctionalInterface
public interface IEquator<T> {

	/**
	 * Returns <code>true</code>, if the elements are equal, <code>false</code>
	 * if not.
	 */
	public boolean equals(T element1, T element2);

}