/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.lib.commons.filesystem;

/**
 * String constants for different file extensions.
 */
public class FileExtensions {

	/** Extension for HTML files. */
	public static final String DOT_HTML = ".html";

	/** Extension for JavaScript files. */
	public static final String JAVASCRIPT = "js";

	/** Extension for TypeScript files. */
	public static final String TYPESCRIPT = "ts";

	/** Extension for JavaScript files. */
	public static final String DOT_JAVASCRIPT = "." + JAVASCRIPT;

	/** Extension for TypeScript files. */
	public static final String DOT_TYPESCRIPT = "." + TYPESCRIPT;

	/** Extension for Soy/Closure template files. */
	public static final String SOY = "soy";

	/** Extension for Soy/Closure template files. */
	public static final String DOT_SOY = "." + SOY;

	/** Extension for comma seperated value files. */
	public static final String DOT_CSV = ".csv";

	/** Extension for tab seperated value files. */
	public static final String DOT_TSV = ".tsv";

	/** Extension for simple text files. */
	public static final String DOT_TXT = ".txt";

	/** Extension for LaTeX document class files. */
	public static final String DOT_CLS = ".cls";

	/** Extension for AUTOSAR ECU extract files. */
	public static final String DOT_ECUEXTRACT = ".ecuextract";

	/** Extension for AUTOSAR ECU extract variant files. */
	public static final String DOT_ECUEXTRACT_VARIANT = ".ecuextract.variant";

	/** Extension for AUTOSAR configuration XML files. */
	public static final String DOT_ARXML = ".arxml";

	/** Extension for AUTOSAR ECU configuration files. */
	public static final String DOT_ECUCONFIG = ".ecuconfig";

	/** Extension for source map files. */
	public static final String DOT_MAP = ".map";

	/** Extension for JSON files. */
	public static final String DOT_JSON = ".json";

	/** Extension for LOG files. */
	public static final String DOT_LOG = ".log";
}