/*
 * Copyright (c) CQSE GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.conqat.lib.commons.js_export;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import org.atteo.classindex.IndexAnnotated;

/**
 * Marks types that should be exported to TypeScript.
 * 
 * The export happens when Teamscale is started or when you manually start the
 * "Generate Typedefs" run configuration.
 */
@Retention(RUNTIME)
@IndexAnnotated
@Target(ElementType.TYPE)
public @interface ExportToTypeScript {
	// This interface servers as a marker, so no methods are needed.
}
