package org.conqat.lib.commons.lang;

/**
 * Special kind of {@link AutoCloseable}, where no (checked) Exception is
 * thrown.
 */
public interface SilentAutoClosable extends AutoCloseable {
	@Override
	void close();

	/**
	 * @return A no-op {@link SilentAutoClosable}.
	 */
	static SilentAutoClosable empty() {
		return () -> {
		};
	}
}
